<?php

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Migrations\Migration;

return new class extends Migration
{
    public function up(): void
    {
        DB::table('admin_menus')
            ->where('code', 'service.currency')
            ->update([
                'path' => '/admin/currencies',
                'route_name' => 'admin.currencies',
                'updated_at' => now(),
            ]);
    }

    public function down(): void
    {
        DB::table('admin_menus')
            ->where('code', 'service.currency')
            ->update([
                'path' => '/admin/settings/currencies',
                'route_name' => 'admin.settings.currencies',
                'updated_at' => now(),
            ]);
    }
};
